commit d01bb0053e4c69869230b3bd0b853b22238b139a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Dec 16 01:20:23 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7a982596fd7..dc4c16cb4cb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251215
+20251216
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 2c331f3e871..40f742ec646 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,17 @@
+2025-12-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123138
+	* exp_attr.adb (Expand_N_Attribute_Reference) <Attribute_Reduce>:
+	Override a universal numeric type only if the prefix is not an
+	aggregate.
+
+2025-12-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123060
+	* gcc-interface/utils.cc (update_pointer_to): Synthesize a new
+	TYPE_CANONICAL for the old pointer type in the case where there
+	is no new pointer type.  Likewise for references.
+
 2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123096
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 24b721060f2..bbc2efd77ac 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-12-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/reduce4.adb: New test.
+	* gnat.dg/reduce5.adb: Likewise.
+
+2025-12-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/lto30.ads, gnat.dg/lto30.adb: New test.
+
 2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* gnat.dg/specs/put_image2.ads: New test.

